/**
 * ContextControlNonPropagating2.java
 *
 * File generated from the medication2::ContextControlNonPropagating2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlNonPropagating2.
 *
 * 
 */

@XmlType(name = "ContextControlNonPropagating")
@XmlEnum
@XmlRootElement(name = "ContextControlNonPropagating2")
public enum ContextControlNonPropagating2 {
	@XmlEnumValue("AN")
	AN("AN"),
	@XmlEnumValue("ON")
	ON2("ON");
	
	private final String value;

    ContextControlNonPropagating2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ContextControlNonPropagating2 fromValue(String v) {
        for (ContextControlNonPropagating2 c: ContextControlNonPropagating2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
